Logs
Operations dealing with client, server and audit logs.
Send client log
Body
messagestringrequiredurlstringrequiredURL of the current user page
levelanyerrorwarnrequiredstackTracestringStack trace of the error if there is one
userAgentstringUser agent of the web browser that sends the message
metastringAdditional information regarding this log
Response
successful operation
Get instance logs
Response
successful operation
Authorization
OAuth2oauth2Authenticating via OAuth requires the following steps:
- Have an activated account
- Generate an access token for that account at
/api/v1/users/token. - Make requests with the Authorization: Bearer <token> header
- Profit, depending on the role assigned to the account
Note that the access token is valid for 1 day and is given along with a refresh token valid for 2 weeks.
Scopes: admin
Get instance audit logs
User, administration and moderation actions recorded by all the PeerTube processes of the instance.
By default (format=array), returns an array of at most the 10,000 most recent entries of the requested date range, oldest first.
startDate is then required and pagination parameters are ignored.
With format=list, returns a paginated list.
Parameters
formatstringarraylistarrayquerystartinteger>= 0queryOffset used to paginate results
countinteger[1, 100]15queryNumber of items to return
sortstring-createdAtcreatedAtquerysearchstringquerySearch in usernames, IP addresses and audited entities
entityTypeAuditLogEntityTypevideovideo-importvideo-livevideo-sourcevideo-filevideo-captionvideo-chaptersvideo-passwordvideo-embed-privacyvideo-transcodingvideo-transcriptionvideo-studio-editionvideo-player-settingsownership-changecommentchannelchannel-syncchannel-videos-importchannel-collaboratorchannel-player-settingschannel-playlists-orderplaylistplaylist-elementplaylist-elements-orderuserregistrationpassword-resettoken-sessionfailed-loginscoped-tokenuser-exportuser-importabuseabuse-messagevideo-blockaccount-blockserver-blockblocklist-subscriptionwatched-words-listwatched-words-subscriptionautomatic-tag-policyconfiginstance-imageinstance-homepageinstance-hostpluginfollowserver-redundancyvideo-redundancyjob-queuejobrunnerrunner-registration-tokendebug-commandstorage-prunequeryentityIdintegerquerystartDatestring<date-time>queryRequired with the default array format
endDatestring<date-time>queryResponse
successful operation
audit log is disabled
Authorization
OAuth2oauth2Authenticating via OAuth requires the following steps:
- Have an activated account
- Generate an access token for that account at
/api/v1/users/token. - Make requests with the Authorization: Bearer <token> header
- Profit, depending on the role assigned to the account
Note that the access token is valid for 1 day and is given along with a refresh token valid for 2 weeks.
Scopes: admin
